using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserCCQueryMap : APTEntityBaseMap<T_FM_USER_C_C_QUERY>
	{
		public override void Configure(EntityTypeBuilder<T_FM_USER_C_C_QUERY> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.TITLE).HasMaxLength(200);
			builder.HasOne(t => t.Nav_UserCustomConfig).WithMany(t => t.Nav_Querys)
				.HasForeignKey(t => t.USER_CUSTOM_CONFIG_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_PageForm).WithMany().HasForeignKey(t => t.PAGE_FORM_ID).OnDelete(DeleteBehavior.Restrict);
		} 
	}
}
